nV News Forums

 
 

nV News Forums (http://www.nvnews.net/vbulletin/index.php)
-   NVIDIA Linux (http://www.nvnews.net/vbulletin/forumdisplay.php?f=14)
-   -   Won't install under 2.6.7 (http://www.nvnews.net/vbulletin/showthread.php?t=34635)

N1tr0 08-13-04 09:25 AM

Won't install under 2.6.7
 
I've been using this driver just fine under 2.4.26 but I just installed 2.6.7 and it wont' install.
Log highlights:
[code]
-> Kernel module compilation complete.
ERROR: Unable to load the kernel module 'nvidia.ko'. This is most likely
because the kernel module was built using the wrong kernel source files.
Please make sure you have installed the kernel source files for your
kernel; on Red Hat Linux systems, for example, be sure you have the
'kernel-source' rpm installed. If you know the correct kernel source
files are installed, you may specify the kernel source path with the
'--kernel-source-path' commandline option.
-> Kernel module load error: insmod: QM_MODULES: Function not implemented

insmod: cannot open /proc/ksyms No such file or directory
ERROR: Installation has failed. Please see the file
'/var/log/nvidia-installer.log' for details. You may find suggestions
on fixing installation problems in the README available on the Linux
driver download page at www.nvidia.com.

[code]

Any suggestions?
Thanks!

DeLorean 08-13-04 09:54 AM

Re: Won't install under 2.6.7
 
You don't mention which distro you are using, but if it is Fedora Core 2 you need to rpm -e kernel-source and up2date install kernel-sourcecode. The update system misses that due to the change in name for the rpm file.

mtrr 08-13-04 10:06 AM

Re: Won't install under 2.6.7
 
old modutils?

cheers


All times are GMT -5. The time now is 07:05 AM.

Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.